<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'student',

    /*
     * Modules.
     */
    'modules'   => ['student'],

    
    'student'       => [
        'model' => [
            'model'                 => \Litecms\Student\Models\Student::class,
            'table'                 => 'students',
            'presenter'             => \Litecms\Student\Repositories\Presenter\StudentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'gender',  'course',  'Country',  'image'],
            'translatables'         => [],
            'upload_folder'         => 'student/student',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Student',
            'module'    => 'Student',
        ],

    ],
];
